package test;

import com.engine.jclproduct.utils.EmploymentUtil;
import com.weaver.general.TimeUtil;
import weaver.common.DateUtil;

import java.time.LocalDate;
import java.time.Year;
import java.time.YearMonth;
import java.time.format.DateTimeFormatter;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/10/9
 * @Version V1.0
 **/
public class MainTest {

    public static void main(String[] args) {
        String yearMonthStr = "2023-02";

        // 定义日期格式
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM");

        // 解析字符串为 YearMonth 对象
        YearMonth yearMonth = YearMonth.parse(yearMonthStr, formatter);

        // 获取该月的第一天
        LocalDate firstDayOfMonth = yearMonth.atDay(1);

        // 获取该月的最后一天
        LocalDate lastDayOfMonth = yearMonth.atEndOfMonth();

        // 格式化输出
        System.out.println("First day of month: " + firstDayOfMonth.format(DateTimeFormatter.ofPattern("yyyy-MM-dd")));
        System.out.println("Last day of month: " + lastDayOfMonth.format(DateTimeFormatter.ofPattern("yyyy-MM-dd")));
    }
}
